> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy nội dung video

> Lấy nội dung tệp video của các tác vụ video đã hoàn thành.

Giao diện này sẽ đóng vai trò proxy để trả về luồng tệp video (video file stream).



## OpenAPI

````yaml api-reference/vi/openapi.json GET /v1/videos/{task_id}/content
openapi: 3.0.0
info:
  title: Tài liệu tham khảo API của 出海营
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: Định dạng OpenAI (Chat)
  - name: Định dạng OpenAI (Responses)
  - name: Định dạng Gemini cho tạo ảnh
  - name: Tạo hình ảnhOpenAI định dạng DALL-E
  - name: Lấy danh sách mô hình
  - name: Tạo video HappyHorse và Wan
  - name: Định dạngKling tạo video
  - name: Định dạng Video Generation Omni và Veo
  - name: Tạo video Seedance
  - name: Định dạng tương thích Sora cho tạo video
  - name: Tạo video Vidu
  - name: Định dạng tác vụ tạo nhạc
paths:
  /v1/videos/{task_id}/content:
    get:
      tags:
        - Định dạng tương thích Sora cho tạo video
      summary: Lấy nội dung video
      description: >-
        Lấy nội dung tệp video của các tác vụ video đã hoàn thành.


        Giao diện này sẽ đóng vai trò proxy để trả về luồng tệp video (video
        file stream).
      operationId: getVideoContent
      parameters:
        - name: task_id
          in: path
          description: ID tác vụ video
          required: true
          example: video-abc123
          schema:
            type: string
      responses:
        '200':
          description: Lấy nội dung video thành công
          content:
            video/mp4:
              schema:
                type: string
                format: binary
          headers: {}
        '404':
          description: Video không tồn tại hoặc chưa hoàn thành
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: Thông báo lỗi
            type:
              type: string
              description: Loại lỗi
            param:
              type: string
              description: Các tham số liên quan
              nullable: true
            code:
              type: string
              description: Mã lỗi
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Sử dụng xác thực Bearer Token.
        Định dạng: `Authorization: Bearer sk-xxxxxx`

````